Update an action policy API key

Server: https://{kibana_url}
  • POST /api/alerting/v2/action_policies/{id}/_update_api_key

Rotate the API key for an action policy.

[Required authorization] Route required privileges: manage_alerting-v2-action-policies.

Path Parameters

id string · min: 1 · max: 150 required

The ID of the action policy. Copy it from the response when you create a policy, fetch one policy, or fetch the policy list.

Responses

204

The API key of the action policy was updated successfully.